Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class DocumentLink

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Document
          org.esupportail.portal.channels.CIntranet.beans.DocumentLink

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class DocumentLink
extends Document

DocumentLink
Document de type lien
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Field Summary

Fields inherited from class org.esupportail.portal.channels.CIntranet.beans.Document
`FILE, LINK`

Constructor Summary
`DocumentLink()` Constructeur

Method Summary
`boolean` | `equals(java.lang.Object o)` Teste l'égalité de deux documents Override Object.equals() method
`java.lang.String` | `getUrl()` Retourne l'URL
`void` | `setUrl(java.lang.String url)` Positionne l'URL
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class org.esupportail.portal.channels.CIntranet.beans.Document
`compareTo, getAuthor, getDate, getDescription, getFolderid, getId, getIntranet, getName, getOrder, getType, getValidityDate, getValidityInput, isPendingDeletion, isPendingModification, isPerimed, isValid, isVisible, setAuthor, setDate, setDescription, setFolderid, setId, setIntranet, setName, setOrder, setPendingDeletion, setPendingModification, setType, setValid, setValidityDate, setVisible`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentLink

    public DocumentLink()

  Constructeur

Method Detail

### getUrl

    public java.lang.String getUrl()

  Retourne l'URL

  Returns:
    url L'URL

### setUrl

    public void setUrl(java.lang.String url)

  Positionne l'URL

  Parameters:
    `url` - L'URL

### equals

    public boolean equals(java.lang.Object o)

  Teste l'égalité de deux documents Override Object.equals() method

  Specified by:
    `equals` in class `Document`
  Parameters:
    `o` - Objet à tester

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Specified by:
    `toXMLString` in class `Document`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD